import*as React from'react';import {useParams}from'react-router';import {connect}from'react-redux';import {push}from'connected-react-router';import {IMenuPosition}from'@common-stack/client-react';import {FileOutlined}from'@ant-design/icons';import {WithPermissionEnhanced,WithPermissionBehaviour,WithPermission,ResourceSettings}from'@adminide-stack/platform-browser/lib/ant-module';import {IPreDefineAccountPermissions,getFilteredTabs}from'@adminide-stack/core';import {PageContainer}from'@admin-layout/components';import {getFilteredRoutes}from'../utils/menu.js';import TrayTimerHandler from'./components/TrayTimerHandler/index.js';import {ROUTES}from'./constants/routes.js';import'./constants/enums.js';const Home = React.lazy(() => import('./containers/Home.js'));
const TimeTracker = React.lazy(() => import('./containers/TimerPage/index.js'));
const Timesheet = React.lazy(() => import('./containers/TimesheetPage/index.js'));
const TimeApproval = React.lazy(() => import('./containers/TimeApprovalPage/index.js'));
const Reports = React.lazy(() => import('../DashboardReport/index.js'));
const OrganizationSettings = () => (React.createElement(WithPermissionEnhanced, { behaviour: WithPermissionBehaviour.showUnAuthorized, permissionKeys: [IPreDefineAccountPermissions.viewSettings] },
    React.createElement(WithPermission, { permissionKeys: [IPreDefineAccountPermissions.editSettings], render: ({ hasPermission }) => (React.createElement(ResourceSettings, { target: 4 /* ORGANIZATION */, showSidebar: true, hasPermission: hasPermission, options: { defaultFragment: "timeTracker" /* timeTracker */ } })) })));
const TimeApprovalComponent = props => {
    const { orgName, teamName } = useParams();
    const tabItemPath = (path) => {
        const orgReplace = path.replace(':orgName', orgName);
        return teamName === undefined ? orgReplace : orgReplace.replace(':teamName', teamName);
    };
    const onTabChange = (key) => {
        props.push(key);
    };
    return (React.createElement(PageContainer, Object.assign({}, props, { onTabChange: onTabChange, pageHeader: 'Approvals', tabList: timeApprovalFilteredTabs.map((tab) => (Object.assign(Object.assign({}, tab), { key: tabItemPath(tab.path) }))), tabActiveKey: props.location.pathname })));
};
const TimeApprovalView = connect(null, { push })(TimeApprovalComponent);
const timePageStore = [
    {
        exact: false,
        icon: React.createElement(FileOutlined, null),
        key: 'timeTracker',
        auth: true,
        component: Home,
        position: IMenuPosition.MIDDLE,
        tab: 'Time Tracker',
        name: 'Time Tracker',
        path: ROUTES.TimeTracker,
        priority: 1,
    },
    {
        exact: true,
        key: 'timeTracker.timer',
        name: 'Timer',
        auth: true,
        component: TimeTracker,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.Timer,
        priority: 2,
    },
    {
        exact: true,
        key: 'timeTracker.timer2',
        name: 'Timer2',
        auth: true,
        component: TrayTimerHandler,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.Timer2,
        priority: 2,
    },
    {
        exact: true,
        key: 'timeTracker.timesheet',
        name: 'Timesheet',
        auth: true,
        component: Timesheet,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.Timesheet,
        priority: 3,
    },
    {
        exact: false,
        name: 'Approvals',
        path: ROUTES.TimeApproval,
        key: 'timeTracker.timeapproval.view',
        tab: 'Approvals',
        position: IMenuPosition.MIDDLE,
        auth: true,
        component: TimeApprovalView,
        priority: 4,
    },
    {
        exact: true,
        key: 'timeTracker.timeapproval.opened',
        name: 'Opened',
        tab: 'Opened',
        auth: true,
        component: TimeApproval,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeApprovalOpened,
        priority: 1,
    },
    {
        exact: true,
        key: 'timeTracker.timeapproval.submitted',
        name: 'Submitted',
        tab: 'Submitted',
        auth: true,
        component: TimeApproval,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeApprovalSubmitted,
        priority: 2,
    },
    {
        exact: true,
        key: 'timeTracker.timeapproval.approved',
        name: 'Approved',
        tab: 'Approved',
        auth: true,
        component: TimeApproval,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeApprovalApproved,
        priority: 3,
    },
    {
        exact: true,
        key: 'timeTracker.timeapproval.denied',
        name: 'Denied',
        tab: 'Denied',
        auth: true,
        component: TimeApproval,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeApprovalDenied,
        priority: 4,
    },
    {
        exact: true,
        key: 'timeTracker.timeapproval',
        name: 'All',
        tab: 'All',
        auth: true,
        component: TimeApproval,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeApprovalAll,
        priority: 5,
    },
    {
        exact: true,
        key: 'timeTracker.report',
        name: 'Report',
        auth: true,
        component: Reports,
        position: IMenuPosition.MIDDLE,
        path: ROUTES.TimeReport,
        priority: 5,
    },
    {
        name: 'Settings',
        exact: true,
        key: 'timeTracker.settings',
        position: IMenuPosition.MIDDLE,
        path: ROUTES.Settings,
        hideInMenu: false,
        authority: [IPreDefineAccountPermissions.manageTeams],
        component: OrganizationSettings,
    },
];
const selectedRoutesAndMenus = [
    'timeTracker',
    'timeTracker.timer',
    'timeTracker.timer2',
    'timeTracker.projects',
    'timeTracker.clients',
    'timeTracker.timesheet',
    'timeTracker.timeapproval.view',
    'timeTracker.timeapproval',
    'timeTracker.timeapproval.opened',
    'timeTracker.timeapproval.submitted',
    'timeTracker.timeapproval.approved',
    'timeTracker.timeapproval.denied',
    'timeTracker.report',
    'timeTracker.settings',
];
const selectedTabs = [
    'timeTracker.timeapproval.opened',
    'timeTracker.timeapproval.submitted',
    'timeTracker.timeapproval.approved',
    'timeTracker.timeapproval.denied',
    'timeTracker.timeapproval',
];
// tabs for members view
const timeApprovalFilteredTabs = getFilteredTabs(timePageStore, selectedTabs);
// get routes
let filteredRoutes = getFilteredRoutes(timePageStore, selectedRoutesAndMenus);export{filteredRoutes,timePageStore};//# sourceMappingURL=compute.js.map
